aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts
diff options
context:
space:
mode:
authorGravatar Gael Guennebaud <g.gael@free.fr>2011-12-03 11:18:20 +0100
committerGravatar Gael Guennebaud <g.gael@free.fr>2011-12-03 11:18:20 +0100
commitc0e36516f3b81da46c1d5afb7afbb23614074809 (patch)
treeb6f3d62550fa0618037e05f42a103a07e8945f50 /scripts
parent3f56de26281300dd82a696ab46d589413f548277 (diff)
add a command to fix the permission of the uploaded documentation
Diffstat (limited to 'scripts')
-rw-r--r--scripts/eigen_gen_docs5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/eigen_gen_docs b/scripts/eigen_gen_docs
index 1688f9b41..4a7573139 100644
--- a/scripts/eigen_gen_docs
+++ b/scripts/eigen_gen_docs
@@ -14,8 +14,11 @@ mkdir build -p
#todo: n+1 where n = number of cpus
#step 2 : upload
-# (the '/' at the end of path are very important, see rsync documentation)
+# (the '/' at the end of path is very important, see rsync documentation)
rsync -az build/doc/html/ $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/dox-devel/ || { echo "upload failed"; exit 1; }
+#step 3 : fix the perm
+ssh $USER@ssh.tuxfamily.org 'chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/dox-devel' || { echo "perm failed"; exit 1; }
+
echo "Uploaded successfully"